<form class="{{cssClass}}" autocomplete="off">

    {{!-- #psionic --}}
    {{!-- {{log "power-sheet, actor---->" actor}}
    {{log "power-sheet, item---->" item}}
    {{log "power-sheet, data---->" data}}
    {{log "power-sheet, this---->" this}} --}}

    {{> "systems/ars/templates/item/parts/item-header.hbs"}}

    {{!-- Sheet Tab Navigation --}}
    {{> "systems/ars/templates/item/parts/item-nav.hbs"}}

    {{!-- Sheet Body --}}
    <section class="sheet-body">

        {{!-- Description Tab --}}
        <div class="tab" data-group="primary" data-tab="description">

            {{!-- psp, maintenance, power score and range --}}
            <div class="item-titles">
                <div class="item-header flexrow">
                    <div class="power-psp hide-1e">PSP Cost</div>
                    <div class="power-psp hide-2e">PSP Attack Cost</div>
                    <div class="power-psp hide-2e">PSP Defense Cost</div>
                    <div class="power-maintenance">Maintenance</div>
                    <div class="power-powerscore hide-1e">Power Score</div>
                    <div class="power-powerscore hide-1e" style="flex: .75;"></div>
                    <div class="power-range">Range</div>
                </div>
            </div>
            <div class="power-header">
                <div class="power-header flexrow">

                    {{!-- initial psp cost --}}
                    <div class="power-cost hide-1e">
                        <input name="system.powercost" type="text" value="{{system.powercost}}" />
                    </div>

                    {{!-- initial attack psp cost --}}
                    <div class="power-cost hide-2e">
                        <input name="system.powerCostAttack" type="text" value="{{system.powerCostAttack}}" />
                    </div>

                    {{!-- initial defense psp cost --}}
                    <div class="power-cost hide-2e">
                        <input name="system.powerCostDefense" type="text" value="{{system.powerCostDefense}}" />
                    </div>

                    {{!-- maintenance --}}
                    <div class="power-maintenance">
                        <input name="system.maintenance" type="text" value="{{system.maintenance}}" />
                    </div>

                    {{!-- power score is ability + ability modifier --}}
                    <div class="power-ability hide-1e">

                        {{!-- ability score --}}
                        <select class="selector" name="system.ability">
                            {{selectOptions config.abilities selected=system.ability localize=true}}
                        </select>
                    </div>
                    <div class="power-formula hide-1e">
                        {{!-- modifier --}}
                        <input name="system.abilityMod" type="text" value="{{system.abilityMod}}" />
                    </div>

                    {{!-- range --}}
                    <div class="power-range">
                        <input name="system.range" type="text" value="{{system.range}}" />
                    </div>
                </div>
            </div>

            {{!-- preparation time, area of effect and prerequisite: --}}
            <div class="item-titles">
                <div class="item-header flexrow">
                    <div class="power-start">Preparation Time</div>
                    <div class="power-maintenance">Area of Effect</div>
                    <div class="power-powerscore">Prerequisite</div>
                </div>
            </div>
            <div class="power-header">
                <div class="power-header flexrow">

                    {{!-- prepartion time --}}
                    <div class="power-prepTime">
                        <input name="system.prepTime" type="text" value="{{system.prepTime}}" />
                    </div>

                    {{!-- area of effect --}}
                    <div class="power-areaofeffect">
                        <input name="system.areaOfEffect" type="text" value="{{system.areaOfEffect}}" />
                    </div>

                    {{!-- prerequisite --}}
                    <div class="power-prerequisites">
                        <input name="system.prerequisites" type="text" value="{{system.prerequisites}}" />
                    </div>

                </div>
            </div>

            {{!-- disciplines, category (science or devotion), is defense mode? --}}
            <div class="item-titles">
                <div class="item-header flexrow">
                    <div class="power-discipline hide-1e">Discipline</div>
                    <div class="power-discipline hide-2e">Power Group</div>
                    <div class="power-powerCategory">Category</div>
                </div>
            </div>
            <div class="powers-header">
                <div class="item-header flexrow">
                    <select class="selector" name="system.discipline">
                        {{selectOptions config.psionics.disciplines selected=system.discipline localize=true}}
                    </select>
                    <select class="selector" name="system.powerCategory">
                        {{selectOptions config.psionics.powerCategory selected=system.powerCategory localize=true}}
                    </select>
                </div>
            </div>

            {{!-- telepathic attack/defense bit and type --}}
            <div class="item-titles">
                <div class="item-header flexrow">
                    <div class="power-atkdef">Attack/Defense</div>
                </div>
            </div>
            <div class="powers-header">
                <div class="item-header flexrow">
                    <div class="atk-def-label">
                        <span>Defense: </span><input type="checkbox" name="system.isDefenseMode" {{#if system.isDefenseMode}}checked{{/if}} />
                    </div>
                    <div class="atk-def-label">
                        <span>Attack:</span> <input type="checkbox" name="system.isAttackMode" {{#if system.isAttackMode}}checked{{/if}} />
                    </div>
                    <select class="selector" name="system.atkDefType">
                        {{selectOptions config.psionics.atkDefType selected=system.atkDefType localize=true}}
                    </select>
                </div>
            </div>

            {{!-- modifiers --}}
            <div class="item-titles">
                <div class="item-header flexrow">
                    <div class="power-start">Class</div>
                    <div class="power-start">Ability</div>
                    <div class="power-start">Armor</div>
                    <div class="power-start">Race</div>
                    <div class="power-start">Item</div>
                    <div class="power-start" data-tooltip="Background or secondary skill set">BG</div>
                    <div class="power-start">Other</div>
                </div>
            </div>
            <div class="power-header">
                <div class="power-header flexrow">
                    <div class="power-class">
                        <input name="system.modifiers.class" type="number" value="{{system.modifiers.class}}" data-dtype="Number" />
                    </div>
                    <div class="power-ability">
                        <input name="system.modifiers.ability" type="number" value="{{system.modifiers.ability}}" data-dtype="Number" />
                    </div>
                    <div class="power-armor">
                        <input name="system.modifiers.armor" type="number" value="{{system.modifiers.armor}}" data-dtype="Number" />
                    </div>
                    <div class="power-race">
                        <input name="system.modifiers.race" type="number" value="{{system.modifiers.race}}" data-dtype="Number" />
                    </div>
                    <div class="power-item">
                        <input name="system.modifiers.item" type="number" value="{{system.modifiers.item}}" data-dtype="Number" />
                    </div>
                    <div class="power-background">
                        <input name="system.modifiers.background" type="number" value="{{system.modifiers.background}}" data-dtype="Number" />
                    </div>
                    <div class="power-other">
                        <input name="system.modifiers.other" type="number" value="{{system.modifiers.other}}" data-dtype="Number" />
                    </div>
                </div>
            </div>

            {{!-- misc, descriptions --}}
            <div class="powers-header">
                <div class="power-header">
                    <h4 align="center">Misc</h4>
                </div>
            </div>
            <div class="power-header">
                <div class="power-header flexrow">
                    <div class="power-groups" data-tooltip="Group names separated by comma">Groups</div>
                </div>
            </div>
            <div class="power-header flexrow">
                <input name="system.groups" type="text" value="{{system.groups}}" />
            </div>

            {{> "systems/ars/templates/item/parts/item-description-block.hbs"}}
        </div>

        {{!-- attributes Tab --}}
        <div class="tab attributes" data-group="primary" data-tab="attributes">
            {{> "systems/ars/templates/item/parts/item-attributes.hbs"}}
        </div>

        {{!-- Effects Tab --}}
        <div class="tab effects info-helper-enabled flexcol" data-group="primary" data-tab="effects" data-info-type="effect">
            <div class="grouping-border">
                {{> "systems/ars/templates/effects/parts/active-effects.hbs"}}
            </div>
        </div>

        {{!-- actions Tab --}}
        <div class="tab actions info-helper-enabled" data-info-type="action" data-group="primary" data-tab="actions">
            {{> "systems/ars/templates/item/parts/actions-block-list.hbs" }}
        </div>

        {{!-- contents tab --}}
        <div class="tab contents" data-group="primary" data-tab="contents">
            <div class="contents-block">
                {{> "systems/ars/templates/item/parts/contents-block.hbs"}}
            </div>
        </div>
    </section>
</form>